jQuery(document).ready(function() {

    let data = JSON.parse('obj_placeholder');

    function send_resend_timer() {
        let send = jQuery('#webone-sms-otp-send');
        let timer = jQuery('#webone-sms-otp-timer');

        send.css('display', 'none');

        let countDownTime = 60;
        timer.css('display', 'inline');
        timer.text(countDownTime);
        const interval = setInterval(function() {
            countDownTime--;
            timer.text(countDownTime);
            if (countDownTime <= 0) {
                clearInterval(interval);
                timer.css('display', 'none');
                timer.text('');

                send.text('ارسال مجدد کد');
                send.css('display', 'inline');
            }
        }, 1000);
    }

    function ajax_send_otp(mobile) {
        jQuery.ajax({
            url: data['ajax_url'],
            type: 'POST',
            data: {
                action: 'webone_sms_gravity_send_otp',
                _ajax_nonce: data['_ajax_nonce'],
                mobile: mobile,
                form_id: data['form_id']
            },
            success: function (result) {
                if (true === result.status) {
                    send_resend_timer();
                    return;
                }
                alert('خطایی رخ داده است');
            },
            error: function (err) {
                alert('خطایی رخ داده است');
            }
        });
    }

    jQuery('#webone-sms-otp-send').click(function() {
        let mobile = jQuery('#' + data['input_mobile_id']).val();
        if (!mobile) {
            alert('لطفا موبایل را وارد کنید');
            return;
        }

        ajax_send_otp(mobile);
    });

});